Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources.upgrade
Class PropertiesAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.upgrade.Attribute
            |
            +--org.w3c.tools.resources.upgrade.PropertiesAttribute

public class PropertiesAttribute
extends Attribute

The generic description of an PropertiesAttribute. A PropertiesAttribute instance holds a String to String mapping, it should be used only with care, since people may act on a reference to it.

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.upgrade.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`PropertiesAttribute(java.lang.String name, java.lang.String def, int flags)` Create a description for a generic property list attribute.

Method Summary
`boolean` | `checkValue(java.lang.Object obj)` Is the given object a valid PropertiesAttribute value ?
`int` | `getPickleLength(java.lang.Object value)` Get the number of bytes required to save that attribute value.
`void` | `pickle(java.io.DataOutputStream out, java.lang.Object o)` Pickle a property list to the given output stream.
`java.lang.Object` | `unpickle(java.io.DataInputStream in)` Unpickle an string from the given input stream.

Methods inherited from class org.w3c.tools.resources.upgrade.Attribute
`checkFlag, getDefault, getName, getType, stringify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesAttribute

    public PropertiesAttribute(java.lang.String name,
                               java.lang.String def,
                               int flags)

  Create a description for a generic property list attribute.
  Parameters:
    `name` - The attribute name.
    `def` - The default value for these attributes.
    `flags` - The associated flags.

Method Detail

### checkValue

    public boolean checkValue(java.lang.Object obj)

  Is the given object a valid PropertiesAttribute value ?
  Parameters:
    `obj` - The object to test.
  Returns:
    A boolean true if value is valid.
  Overrides:
    checkValue in class Attribute

### getPickleLength

    public final int getPickleLength(java.lang.Object value)

  Get the number of bytes required to save that attribute value.
  Parameters:
    `The` - value about to be pickled.
  Returns:
    The number of bytes needed to pickle that value.
  Overrides:
    getPickleLength in class Attribute

### pickle

    public void pickle(java.io.DataOutputStream out,
                       java.lang.Object o)
                throws java.io.IOException

  Pickle a property list to the given output stream.
  Parameters:
    `out` - The output stream to pickle to.
    `obj` - The object to pickle.
  Throws:
    java.io.IOException - If some IO error occured.
  Overrides:
    pickle in class Attribute

### unpickle

    public java.lang.Object unpickle(java.io.DataInputStream in)
                              throws java.io.IOException

  Unpickle an string from the given input stream.
  Parameters:
    `in` - The input stream to unpickle from.
  Returns:
    An instance of String.
  Throws:
    java.io.IOException - If some IO error occured.
  Overrides:
    unpickle in class Attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD